@import "assets/stylesheets/colors";
@import 'assets/stylesheets/typography';
$duration-time: 1s;
.app-bar-container {
    height: 64px;
    .pd-l {
        padding-left: 6px; 
       }
    .MuiToolbar-root {
        justify-content: space-between;
        display: flex;

        .app-logo {
            height: 44px;
            width: 44px;
        }

        .user-navigate-container {
            align-items: center;
            display: flex;
            > button {
                margin-left: 4px;
                margin-right: 4px;
            }
            >h6 {
                margin-left: 16px;
            }
        }
    }
    .MuiDrawer-paperAnchorLeft {
        left: auto;
        right: 0;
    }
    .MuiIconButton-label {
        color: $primary-text
    }
    
    .sub-menu-bar {
        padding-bottom:  12px;
    }
    .MuiListSubheader-gutters {
        padding-left: 0px;
        padding-right: 0px;
    }
    .MuiPaper-root {
        background-color: $secondary-dark;
        .MuiList-root {
            height: 100%;
            width: 256px;
            padding-top: 29px;
            padding-left: 16px;
            background-color: $secondary-dark;
            .MuiButtonBase-root {
                color: $secondary-text;
            }
            .MuiListItemIcon-root {
                color: $secondary-text;
            }
            .group-title {
                width: 224px;  
                padding-bottom: 10px
            }
        }
    }
    .MuiTypography-body1 {
        @extend .subtitle-1;
    }
}

.app-bar {
    transition-property: width !important;
    transition-duration: $duration-time !important;
    &.open {
      margin-left: 250px;
      width: calc(100vw - 250px);
    }
  }

  .menus-bar {
    > .MuiPaper-root {
      z-index: 1;
      // margin-top: 64px;
      transition-property: width;
      transition-duration: $duration-time;
      a {
        text-decoration: unset !important;
        color: rgba(0, 0, 0, 0.87);
      }
    }
    &.open {
      > .MuiPaper-root {
        width: 300px;
        background-color: $secondary-dark;
      }
    }
    &.close {
      > .MuiPaper-root {
        width: 0;
        background-color: $secondary-dark;
      }
    }
  }
  @media screen and (min-width: 1280px) {
  .menu-burger {
    display: none;
  }
}


